> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Taxable Location Object

> The Taxable Location Object represents an address that describes its suitability for use as a work location or residency.

The Taxable Location Object represents an address that describes its suitability for use as a work location or residency. Resolve one via [`POST /taxableLocations`](/reference/taxable-locations/resolve-taxable-location).

> **Note:** Zeal utilizes a third-party validation tool to ensure a provided address is valid and mail-deliverable.

| attribute | type | description |
| :- | :- | :- |
| `taxableLocationID` | string | Unique identifier representing this address |
| `street1` | string | Address Line 1 (Street name) |
| `street2` | string | Address Line 2 (Apt/Suite). Empty string if not applicable |
| `city` | string | City/Subdivision |
| `country` | string | Country for the address. One of `US` or `CA`. Defaults to `US` when resolving **NOTE: `CA` is only applicable for Canadian Payroll (Early Access)** |
| `state` | string | US State or Territory (2-letter abbreviation, see [ANSI](https://www.census.gov/library/reference/code-lists/ansi/ansi-codes-for-states.html)). Used when `country` is `US` |
| `zip` | string | ZIP code (5 digits). Used when `country` is `US` |
| `province` | string | Canadian province/territory (2-letter abbreviation: `AB`, `BC`, `MB`, `NB`, `NL`, `NS`, `NT`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`). Used when `country` is `CA` **NOTE: Only applicable for Canadian Payroll (Early Access)** |
| `postal_code` | string | Canadian postal code. Used when `country` is `CA` **NOTE: Only applicable for Canadian Payroll (Early Access)** |
| `is_suitable_for_taxation` | boolean | Flag indicating whether a location is suitable for use as a work location and/or residency. If false, one or more of the following flags will be set. |
| `is_po_box` | boolean | PO Box addresses are mailing addresses but are not suitable for taxation |
| `is_state_mismatch` | boolean | An address's resolved geo-location must match the specified state or it is considered unsuitable for taxation |
| `is_armed_forces_address` | boolean | Armed Forces (APO/FPO/DPO) addresses are suitable for mailing but not for taxation purposes. Use the employee's last US address for residency purposes. |
| `is_foreign_address` | boolean | Foreign addresses are suitable for mailing but not for taxation purposes |
| `is_deliverable` | boolean | The address can accept mail and delivery |

```json EXAMPLE SUITABLE US TAXABLE LOCATION OBJECT theme={null}
{
  "taxableLocationID": "609ffdf81a5f9c4c10b0c443",
  "street1": "1 Ferry Building",
  "street2": "",
  "city": "San Francisco",
  "country": "US",
  "state": "CA",
  "zip": "94111",
  "is_suitable_for_taxation": true,
  "is_po_box": false,
  "is_state_mismatch": false,
  "is_armed_forces_address": false,
  "is_foreign_address": false,
  "is_deliverable": true
}
```

```json EXAMPLE SUITABLE CANADIAN TAXABLE LOCATION OBJECT theme={null}
{
  "taxableLocationID": "609ffdf81a5f9c4c10b0c443",
  "street1": "100 Queen St W",
  "street2": "",
  "city": "Toronto",
  "country": "CA",
  "province": "ON",
  "postal_code": "M5H 2N2",
  "is_suitable_for_taxation": true,
  "is_po_box": false,
  "is_state_mismatch": false,
  "is_armed_forces_address": false,
  "is_foreign_address": false,
  "is_deliverable": true
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.